Make: Fix build with tool chains that require depcomp
authorMarkus Armbruster <armbru@pond.sub.org>
Sat, 26 Dec 2020 08:08:37 +0000 (09:08 +0100)
committerMarkus Armbruster <armbru@pond.sub.org>
Sun, 17 Jan 2021 20:24:28 +0000 (21:24 +0100)
Commit fad8e7f7b "Move auxiliary build tools to build-aux/" moved
depcomp, but neglected to adjust Make.mk.  This broke the build with
tool chains that actually use depcomp.  Modern GCC and Clang don't.
Fix the obvious way.

Signed-off-by: Markus Armbruster <armbru@pond.sub.org>
Make.mk

diff --git a/Make.mk b/Make.mk
index e3e96e1e3fba6560b79e77cffbb11181347e952a..e809e376dc2e6ada793536eece2a0cd9eee0b0ef 100644 (file)
--- a/Make.mk
+++ b/Make.mk
@@ -27,7 +27,7 @@
 #   Make.mk: The real Makefile, included by GNUmakefile
 #
 #   Known contributors to this file:
-#      Markus Armbruster, 2005-2017
+#      Markus Armbruster, 2005-2020
 #
 
 # This makefile was inspired by `Recursive Make Considered Harmful',
@@ -72,7 +72,7 @@ include $(srcdir)/info/subjects.mk
 topics := $(patsubst %.t,%,$(notdir $(tsrc)))
 info := $(topics) $(subjects) all TOP
 scripts := $(srcdir)/src/scripts
-depcomp := $(SHELL) $(srcdir)/depcomp
+depcomp := $(SHELL) $(srcdir)/build-aux/depcomp
 tarball := $(SHELL) -e $(scripts)/tarball
 econfig := $(sysconfdir)/empire/econfig
 schedule := $(sysconfdir)/empire/schedule